biolatency-nd(8)

NAME
biolatency-nd - Measure block I/O latency distribution. Uses Linux SystemTap (non-debuginfo).

SYNOPSIS
biolatency-nd.stp [interval [count]]

DESCRIPTION
This measures block I/O latency (storage I/O, ie, disk I/O), and shows the distribution as a histogram. This can be useful to identify the characteristics of I/O latency, beyond the averages shown by iostat(1). For example, to study I/O latency outliers, or multi-modal distributions. This script uses the kernel tracepoints block_rq_issue and block_rq_complete, to trace the time from storage request to completion. To include extra time spent queued in the kernel, change block_rq_issue to block_rq_insert.

REQUIREMENTS
SystemTap.

OPTIONS

interval
    Interval for reports, in seconds.

count
    Number of reports to output.

EXAMPLES

Measure block I/O latency, and show a distribution histogram on Ctrl-C:
    # biolatency-nd.stp

Measure block I/O latency, and show a report every second, five times:
    # biolatency-nd.stp 1 5

FIELDS

value
    The minimum value, in nanoseconds, for this histogram bucket. Read this value as "I/O latency was at least xxx".

count
    How many I/O fell into this latency range.

OVERHEAD
Should be low, relative to the rate of disk I/O. Test first.

SOURCE
This is from the SystemTap lwtools collection.

    https://github.com/brendangregg/systemtap-lwtools

Also look under the examples directory for a text file containing example usage, output, and commentary for this tool.

OS
Linux

STABILITY
Unstable - in development.

AUTHOR
Brendan Gregg

SEE ALSO
iostat(1)